diff --git a/buglist b/buglist
index a0d7b48..c7616f5 100644
--- a/buglist
+++ b/buglist
@@ -1,6 +1,6 @@
 =========================================================================
 
-bug 7265: 
+bug 7266: 
 todo 336:
 wish 1012:
 meh 5:
@@ -11,7 +11,21 @@ typos 40363:
 dup 50006:
 nonextend 60077:
 
-bug 7264: 
+=========================================================================
+bug 7265: interpreter does early retract to Taylor series
+
+Z ==> Integer
+Q ==> Fraction Z
+z:Symbol := 'z
+L ==> UnivariateLaurentSeries(Q,z,0)
+q:L := z::Variable(z)::L
+t1:L := (1/((1-q)*(1-q^2)))
+t2 := t1-1
+recip t2
+t3 := recip t2
+t4:Union(L,"failed") := recip t2  -- bug in interpreter
+t5:Union(L,"failed") := (recip t2)$L
+t6:Union(L,"failed") := t3
 
 =========================================================================
 bug 7264: 2.7@DoubleFloat failed to coerce to DoubleFloat
diff --git a/changelog b/changelog
index 1090690..7f6f18b 100644
--- a/changelog
+++ b/changelog
@@ -1,3 +1,5 @@
+20141123 rhx src/axiom-website/patches.html 20141124.01.rhx.patch
+20141124 rhx buglist bug 7265: interpreter does early retract to Taylor series
 20141123 tpd src/axiom-website/patches.html 20141123.04.tpd.patch
 20141123 tpd buglist bug 7264: 2.7@DoubleFloat failed to DoubleFloat
 20141123 wxh src/axiom-website/patches.html 20141123.03.wxh.patch
diff --git a/patch b/patch
index 87c0073..5db73bd 100644
--- a/patch
+++ b/patch
@@ -1,5 +1,15 @@
-buglist bug 7264: 2.7@DoubleFloat failed to coerce to DoubleFloat
- 
-   An expression involving @ DoubleFloat actually evaluated to one of 
-      type Float . Perhaps you should use :: DoubleFloat .
+buglist bug 7265: interpreter does early retract to Taylor series
+
+Z ==> Integer
+Q ==> Fraction Z
+z:Symbol := 'z
+L ==> UnivariateLaurentSeries(Q,z,0)
+q:L := z::Variable(z)::L
+t1:L := (1/((1-q)*(1-q^2)))
+t2 := t1-1
+recip t2
+t3 := recip t2
+t4:Union(L,"failed") := recip t2  -- bug in interpreter
+t5:Union(L,"failed") := (recip t2)$L
+t6:Union(L,"failed") := t3
 
diff --git a/src/axiom-website/patches.html b/src/axiom-website/patches.html
index 980f490..880a1cb 100644
--- a/src/axiom-website/patches.html
+++ b/src/axiom-website/patches.html
@@ -4726,6 +4726,8 @@ books/bookvol10.3 add help for AntiSymm<br/>
 books/bookvol10.3 fix iOrder in ISUPS for finite args<br/>
 <a href="patches/20141123.04.tpd.patch">20141123.04.tpd.patch</a>
 buglist bug 7264: 2.7@DoubleFloat failed to coerce to DoubleFloat<br/>
+<a href="patches/20141124.01.rhx.patch">20141124.01.rhx.patch</a>
+buglist bug 7265: interpreter does early retract to Taylor series
  </body>
 </html>
 
